python.gpo.ADS_STRUCT: check type of loadparm argument
[samba.git] / testsuite / build_farm / basicsmb-domainsec.test
index ff184c4c7f307b2d4c67f8505663b66c2fda3f5f..eb0a5c81aa1a180147e0fe012b0d146e731cb1f7 100644 (file)
@@ -1,30 +1,27 @@
-if [ $whoami != "root" ]; then
-       exit 0;
-fi
 
 . basicsmb.fns
 
 test_joindomain() {
-       test_joindomain_password="$1"
+       test_join_domain_password="$1"
 
-       echo "$prefix/bin/smbpasswd -L -j TESTWG -U $whoami%$test_join_domain_password"
-       $prefix/bin/smbpasswd -L -j TESTWG -U $whoami%$test_join_domain_password
+       echo "$prefix/bin/net rpc join -S localhost  -U $whoami%$test_join_domain_password"
+       $prefix/bin/net rpc join -S localhost  -U $whoami%$test_join_domain_password
        status=$?
        if [ $status = 0 ]; then
-           echo "smbpasswd correctly joined the domain ($workgroup)"
+           echo "'net rpc join' correctly joined the domain"
        else
-           echo "smbpasswd failed to join the domain ($workgroup)! (status $status)"
+           echo "'net rpc join' failed to join the domain! (status $status)"
            return 1
        fi
        return 0
 }
 
 password=samba
-security=DOMAIN
 (test_smb_conf_setup && test_smbpasswd $password ) || exit 1
 
 test_joindomain $password || exit 1
 
+security=DOMAIN
 test_listfilesauth $security  || exit 1
 test_listfilesnpw $security  || exit 1